GCLRWK(3NCARG)

NAME
GCLRWK - clears a GKS workstation

SYNOPSIS
CALL GCLRWK (WKID, COFL)

C-BINDING SYNOPSIS
#include <ncarg/gks.h>

void gclear_ws(Gint ws_id, Gctrl_flag ctrl_flag);

DESCRIPTION

WKID
    (Integer, Input) - A number identifying the workstation to be cleared. WKID must be the same as that used in some previous GOPWK call.

COFL
    (Integer, Input) - Clear the workstation display surface. Options are:

    0   Check to see if the display surface is empty. If so, do not issue a clear surface command.

    1   Issue a clear surface command whether the surface has been written to or not.

USAGE
For workstations of type "1" (CGM), GCLRWK is interpreted as a picture termination in CGM generation. If COFL = 0 and no output primitives have been written in the current picture, then a call to GCLRWK is a "do nothing"; otherwise, it generates an END PICTURE element (as well as other picture initializing elements). If COFL = 1, then a call to GCLRWK generates an END PICTURE.

For workstations of types "7" or "8" (see the man page for GOPWK for a description of workstation types) clear workstations erases all primitives that appear on the screen.

For all other workstation types, clear workstation simply updates the workstation.

ACCESS
To use GKS routines, load the NCAR GKS-0A library ncarg_gks.

SEE ALSO
Online: gopwk, gacwk, gdawk, gclwk, gclear_ws

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.